# -*- coding: utf-8 -*-
"""
    GESTIKK
    Version 0.6.1

    Gestikk, a mouse gesture recognition application
    Copyright (C) 2007-2008:
    Friedrich 'fred.reichbier' Weber, Jonas 'Dauerbaustelle' Haag

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
"""

"""
    "dry modules"
"""

import sys

def try_to_import(modulename, fail_msg="", sys_exit=False):
    """ try to import module `module`. If it fails, display `fail_msg`;
        if `fail_msg` is empty, display an ordinary information text
        :param sys_exit: perform a sys.exit if not successfull
        :returns: True if successfull, False if not
    """
    try:
        __import__(modulename)
        return True
    except ImportError:
        if fail_msg:
            print 'ERROR: %s' %fail_msg
        else:
            print 'ERROR: Failed to import module "%s" - please install it first!' % modulename
        if sys_exit:
            sys.exit(1)
        return False

def check_gtk_version(ver, ref=(2, 12, 0)):
    """ check whether pygtk version `ver` is greater than `ref` """
    if ver == ref:
        return True
    for index, vi in enumerate(ver):
        if vi < ref[index]:
            return False
    return True

